Ask Your Question
0

what is the support mininet version for the DLUX(Latest ODL)

asked 2015-01-11 22:00:16 -0700

MadhuKiran gravatar image

updated 2015-01-11 22:01:22 -0700

I want to know the support mininet version for the DLUX.

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2015-05-05 04:08:13 -0700

Latest mininet (that is version 2.2.1) is supported by OpenDayligh latest version.

I am not sure what exactly is your requirement. Is it backward compatibility? I am sure many of the previous versions should work as well.

edit flag offensive delete publish link more

Comments

You can also update the open v-switch in mininet and ODL supports that. There are some difference between the versions of open v-switch, therfor the latest version mabye not cover your needs.

Luke123 ( 2015-05-06 23:37:35 -0700 )edit
0

answered 2015-05-07 09:07:24 -0700

jamoluhrsen gravatar image

Mininet is a network simulator which wraps around virtual switches. The common vSwitch is Open vSwitch (OVS), but it can be others.

DLUX is just the GUI. What you want to make sure is if the vSwitch you are using is compatible with the openflowplugin. If the switches connect to the controller via openflowplugin, then DLUX should show them in the GUI.

I'm using OVS version 2.3.0 successfully.

It shouldn't matter too much, but my mininet version is 2.1.0

edit flag offensive delete publish link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

[hide preview]

Question Tools

Follow
1 follower

Stats

Asked: 2015-01-11 22:00:16 -0700

Seen: 200 times

Last updated: May 07 '15